package jp.co.nikkeibp.nsw;

import android.app.Activity;
import android.app.AlertDialog;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.media.MediaPlayer;
import android.os.Bundle;
import android.os.Vibrator;
import android.util.Log;
import android.view.Window;
import android.view.WindowManager;

public class MinesweeperActivity extends Activity {
    /** Called when the activity is first created. */
	static private MediaPlayer player;
	private AlertDialog.Builder alert_builder; 
	static private AlertDialog alert;
	static private Vibrator vibrator;
	private Intent it;
	static private long start_time, end_time;
	private MinesweeperView minesweeperview;
	
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        minesweeperview = new MinesweeperView(getApplication());        
        requestWindowFeature(Window.FEATURE_NO_TITLE);  
        getWindow().addFlags(WindowManager.LayoutParams.FLAG_FULLSCREEN); 
        setContentView(minesweeperview);
        
		player = MediaPlayer.create(this, R.raw.bomb);
		vibrator = (Vibrator)getSystemService(Context.VIBRATOR_SERVICE);
    	
		it = new Intent(this, MenuActivity.class);
		
		alert_builder = new AlertDialog.Builder(this);
    	alert_builder.setCancelable(false)
 	   	.setPositiveButton("メニューに戻る", new DialogInterface.OnClickListener() {
 	   		public void onClick(DialogInterface dialog, int which) {
 	   			minesweeperview.reset();
 	   			startActivity(it);
 		   	}
 	   	});
    	alert = alert_builder.create();
    }
    
    static public void vibrate(long milliseconds){
    	vibrator.vibrate(milliseconds);
    }
    
    static public void gameOver() {
    	Log.d("MINE SWEEPER", "GAME OVER");
    	vibrator.vibrate(500);
    	player.start();
    	CharSequence cs = "ゲームオーバー";
    	alert.setMessage(cs);
    	alert.show();
    }
    
    static public void gameClear() {
    	end_time = System.currentTimeMillis();
    	Log.d("MINE SWEEPER", "CLEAR");
    	Long time = (end_time - start_time) / 1000;
    	CharSequence cs = "クリア！ " + time.toString() + "秒でクリアです";
    	alert.setMessage(cs);
    	alert.show();
    	
    }
    
    public void onDestroy() {
    	super.onDestroy();
    }
    
    public void onStart() {
    	super.onStart();
    	start_time = System.currentTimeMillis();
    }
       
    public void onPause() {
    	super.onPause();
    	finish();
    }
 
}