//
//  MenuViewController.m
//  Minesweeper
//
//  Created by KenKen on 11/03/17.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "MenuViewController.h"


@implementation MenuViewController

- (id)init
{
    self = [super init];
    if (self) {
        /* class-specific initialization goes here */
        app = (MinesweeperAppDelegate *)[[UIApplication sharedApplication] delegate];
    }
    return self;
}

- (void)loadView
{
    menuview = [[UIView alloc] initWithFrame:[UIScreen mainScreen].applicationFrame];
    // 背景色の設定
    bgcolor = [[[UIColor alloc] initWithRed:0.0 green:0.0 blue:0.4 alpha:1.0] autorelease];
    menuview.backgroundColor = bgcolor;
    // タイトル文字
    label = [[[UILabel alloc] initWithFrame:CGRectMake(0, 0, 320, 96)] autorelease];
    label.text = @"マインスイーパ";
    label.backgroundColor = bgcolor;
    label.textAlignment = UITextAlignmentCenter;
    label.textColor = [UIColor whiteColor];
    label.font = [UIFont systemFontOfSize:30]; 
    [menuview addSubview:label];  
    // 難易度選択用のUI
    picker = [[[UIPickerView alloc] initWithFrame:CGRectMake(0, 100, 320, 280)] autorelease];
    picker.delegate = self;
    picker.dataSource = self;
    [menuview addSubview:picker];
    // ボタン
    button = [UIButton buttonWithType:UIButtonTypeRoundedRect];
    [button setTitle:@"ゲーム開始！" forState:UIControlStateNormal];
    button.frame = CGRectMake(0, 384, 320, 96);   
    [button addTarget:self action:@selector(buttonPressed) forControlEvents:UIControlEventTouchUpInside];
    [menuview addSubview:button];

    self.view = menuview;
    [menuview release];
}

- (void)dealloc
{
    [super dealloc];
}

- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
	return YES;
}

- (void)buttonPressed
{
    NSInteger selected = [picker selectedRowInComponent:0];
    
    switch (selected) {
        case 0:
            app.difficulty = 15;
            break;
        case 1:
            app.difficulty = 10;
            break;
        case 2:
            app.difficulty = 5;
            break;
    }
    app.start_time = CFAbsoluteTimeGetCurrent();
    [self presentModalViewController:(UIViewController *)app.msViewController animated:YES];
}

- (NSString *)pickerView:(UIPickerView *)pickerView titleForRow:(NSInteger)row forComponent:(NSInteger)component
{
    NSArray *array = [[[NSArray alloc]initWithObjects:@"簡単", @"普通", @"難しい" ,nil] autorelease];
    return [array objectAtIndex:row];
}

// returns the number of 'columns' to display.
- (NSInteger)numberOfComponentsInPickerView:(UIPickerView *)pickerView
{
    return 1;
}

// returns the # of rows in each component..
- (NSInteger)pickerView:(UIPickerView *)pickerView numberOfRowsInComponent:(NSInteger)component;
{
    return 3;
}

@end
